## purpose 5.98.0

=== debian/changelog ===
purpose (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:35:15 +0100

purpose (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:07:40 +0100

purpose (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update lintian overrides.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:33:10 +0100

purpose (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:59:08 +0100

purpose (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:22:49 +0100

purpose (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:26:11 +0100

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               intltool,
               kirigami2-dev (>= 5.98.0~),
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev (>= 4:20.08.0~),
               libkf5config-dev (>= 5.98.0~),
               libkf5coreaddons-dev (>= 5.98.0~),
               libkf5i18n-dev (>= 5.98.0~),
               libkf5kio-dev (>= 5.98.0~),
               libkf5notifications-dev (>= 5.98.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/purpose
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
Rules-Requires-Root: no

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-bluezqt (>= 5.70.0~) [linux-any],
         qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
         qml-module-org-kde-prison,
         qml-module-qtquick-dialogs,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: kdeconnect
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf5purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.98.0~),
         libkf5purpose5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Breaks: libkf5purpose-bin (<< 5.70.0-1~)
Replaces: libkf5purpose-bin (<< 5.70.0-1~)
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

## purpose 5.103.0

=== src/CMakeLists.txt ===
qt_add_resources(purpose_SRCS standard-plugin-types.qrc)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/cmake-paths.h)

ecm_qt_declare_logging_category(external_process_debug_SRCS
    HEADER purpose_external_process_debug.h
    IDENTIFIER PURPOSE_EXTERNAL_PROCESS_LOG
    CATEGORY_NAME kf.purpose.externalprocess
    OLD_CATEGORY_NAMES kf5.purpose.externalprocess
    DESCRIPTION "purpose external process"
    EXPORT PURPOSE
)

add_library(KF5Purpose
    ${external_process_debug_SRCS}
    pluginbase.cpp
    job.cpp
    alternativesmodel.cpp
    configuration.cpp
    helper.cpp
    externalprocess/processjob.cpp
    jobcontroller.cpp
    ${purpose_SRCS}
)

target_include_directories(KF5Purpose PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
                                             "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
                                      INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/purpose>"
)
target_link_libraries(KF5Purpose
    PUBLIC
        KF5::CoreAddons
        Qt${QT_MAJOR_VERSION}::Gui
    PRIVATE
        Qt${QT_MAJOR_VERSION}::DBus
        Qt${QT_MAJOR_VERSION}::Network #QLocalSocket
        KF5::ConfigCore
)
set_target_properties(KF5Purpose PROPERTIES VERSION ${PURPOSE_VERSION}
                                          SOVERSION ${PURPOSE_SOVERSION}
                                          EXPORT_NAME Purpose
)

install(TARGETS KF5Purpose EXPORT KF5PurposeTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
add_library(KF5::Purpose ALIAS KF5Purpose)

generate_export_header(KF5Purpose EXPORT_FILE_NAME ${Purpose_BINARY_DIR}/purpose/purpose_export.h BASE_NAME Purpose)
ecm_generate_headers(Purpose_CamelCase_HEADERS
    HEADER_NAMES
        PluginBase
        AlternativesModel
        Job
        Configuration
    REQUIRED_HEADERS Purpose_HEADERS
    PREFIX Purpose
)

install(FILES ${Purpose_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/purpose/Purpose/
        COMPONENT Devel)
install(FILES
  ${Purpose_BINARY_DIR}/purpose/purpose_export.h
  ${Purpose_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/purpose/purpose COMPONENT Devel
)

add_executable(purposeprocess externalprocess/purposeprocess_main.cpp helper.cpp ${external_process_debug_SRCS})
ecm_mark_nongui_executable(purposeprocess)
target_link_libraries(purposeprocess KF5::Purpose Qt${QT_MAJOR_VERSION}::Network Qt${QT_MAJOR_VERSION}::Widgets)
install(TARGETS purposeprocess DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

add_subdirectory(plugins)
add_subdirectory(quick)
add_subdirectory(widgets)
add_subdirectory(fileitemactionplugin)

ecm_qt_install_logging_categories(
    EXPORT PURPOSE
    FILE purpose.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
purpose (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100

purpose (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:11 +0100

purpose (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:36 +0100

purpose (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:06 +0100

purpose (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:14 +0200

purpose (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:41 +0200

purpose (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.
  * Add missing runtime dependency on qml-module-org-kde-prison.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:10 +0200

purpose (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

purpose (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

purpose (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: purpose
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.103.0~),
                gettext,
                intltool,
-               kirigami2-dev (>= 5.98.0~),
+               kirigami2-dev (>= 5.103.0~),
                libaccounts-glib-dev,
                libaccounts-qt5-dev,
                libkaccounts-dev (>= 4:20.08.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5notifications-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
+               libkf5i18n-dev (>= 5.103.0~),
+               libkf5kio-dev (>= 5.103.0~),
+               libkf5notifications-dev (>= 5.103.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/purpose
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/purpose.git
 Rules-Requires-Root: no
 
 Package: libkf5purpose-bin
@@ -35,10 +35,9 @@
          qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
          qml-module-org-kde-prison,
          qml-module-qtquick-dialogs,
-         qml-module-ubuntu-onlineaccounts,
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: kdeconnect
+Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
@@ -52,7 +51,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.98.0~),
+Depends: libkf5coreaddons-dev (>= 5.103.0~),
          libkf5purpose5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
@@ -72,10 +71,8 @@
          qml-module-qtquick-controls2,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
-Suggests: kde-telepathy-send-file
-Breaks: libkf5purpose-bin (<< 5.70.0-1~)
-Replaces: libkf5purpose-bin (<< 5.70.0-1~)
+Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version}),
+Suggests: kde-telepathy-send-file,
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
  .
@@ -90,7 +87,7 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: kdeconnect
+Recommends: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will

## purpose 5.104.0

=== debian/changelog ===
purpose (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:19:55 +0000

purpose (5.103.0-0ubuntu2) lunar; urgency=medium

  * Demote kdeconnect to a suggests. Prevents kdeconnect being installed
    by default on Lubuntu.

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Mar 2023 12:23:53 +0000

purpose (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:46:39 +0000

purpose (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 16:00:09 +0000

purpose (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:23:59 +0000

purpose (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:18:03 +0000

purpose (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:02:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: purpose
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
                gettext,
                intltool,
-               kirigami2-dev (>= 5.103.0~),
+               kirigami2-dev (>= 5.104.0~),
                libaccounts-glib-dev,
                libaccounts-qt5-dev,
                libkaccounts-dev (>= 4:20.08.0~),
-               libkf5config-dev (>= 5.103.0~),
-               libkf5coreaddons-dev (>= 5.103.0~),
-               libkf5i18n-dev (>= 5.103.0~),
-               libkf5kio-dev (>= 5.103.0~),
-               libkf5notifications-dev (>= 5.103.0~),
+               libkf5config-dev (>= 5.104.0~),
+               libkf5coreaddons-dev (>= 5.104.0~),
+               libkf5i18n-dev (>= 5.104.0~),
+               libkf5kio-dev (>= 5.104.0~),
+               libkf5notifications-dev (>= 5.104.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/purpose
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/purpose.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
 Rules-Requires-Root: no
 
 Package: libkf5purpose-bin
@@ -35,9 +35,10 @@
          qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
          qml-module-org-kde-prison,
          qml-module-qtquick-dialogs,
+         qml-module-ubuntu-onlineaccounts,
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: kdeconnect,
+Suggests: kdeconnect
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
@@ -51,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.103.0~),
+Depends: libkf5coreaddons-dev (>= 5.104.0~),
          libkf5purpose5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
@@ -71,8 +72,10 @@
          qml-module-qtquick-controls2,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version}),
-Suggests: kde-telepathy-send-file,
+Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
+Suggests: kde-telepathy-send-file
+Breaks: libkf5purpose-bin (<< 5.70.0-1~)
+Replaces: libkf5purpose-bin (<< 5.70.0-1~)
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
  .
@@ -87,7 +90,7 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: kdeconnect,
+Suggests: kdeconnect
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will

## purpose 5.110.0

=== debian/changelog ===
purpose (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:11:48 +0100

purpose (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:52:39 +0100

purpose (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:24:25 +0100

purpose (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:08:45 +0100

purpose (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:50:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.110.0~),
                gettext,
                intltool,
-               kirigami2-dev (>= 5.104.0~),
+               kirigami2-dev (>= 5.110.0~),
                libaccounts-glib-dev,
                libaccounts-qt5-dev,
                libkaccounts-dev (>= 4:20.08.0~),
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5kio-dev (>= 5.104.0~),
-               libkf5notifications-dev (>= 5.104.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5kio-dev (>= 5.110.0~),
+               libkf5notifications-dev (>= 5.110.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.104.0~),
+Depends: libkf5coreaddons-dev (>= 5.110.0~),
          libkf5purpose5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## purpose 5.115.0

=== src/plugins/pastebin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose_pastebin\")
add_share_plugin(pastebinplugin pastebinplugin.cpp)
target_link_libraries(pastebinplugin KF5::KIOCore KF5::I18n)

=== src/plugins/youtube/icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-actions-kipiplugin_youtube.png
    22-actions-kipiplugin_youtube.png
    32-actions-kipiplugin_youtube.png
    48-actions-kipiplugin_youtube.png
    64-actions-kipiplugin_youtube.png
THEME hicolor
DESTINATION ${KDE_INSTALL_ICONDIR} )

=== debian/changelog ===
purpose (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:16:46 +0000

purpose (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:34:04 +0000

purpose (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:39:41 -0700

purpose (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:09:09 -0700

purpose (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:47:00 +0000

purpose (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:51:58 +0000

purpose (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:01:34 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.115.0~),
                gettext,
                intltool,
-               kirigami2-dev (>= 5.110.0~),
+               kirigami2-dev (>= 5.115.0~),
                libaccounts-glib-dev,
                libaccounts-qt5-dev,
                libkaccounts-dev (>= 4:20.08.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5kio-dev (>= 5.110.0~),
-               libkf5notifications-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.115.0~),
+               libkf5coreaddons-dev (>= 5.115.0~),
+               libkf5i18n-dev (>= 5.115.0~),
+               libkf5kio-dev (>= 5.115.0~),
+               libkf5notifications-dev (>= 5.115.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -52,7 +52,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.110.0~),
+Depends: libkf5coreaddons-dev (>= 5.115.0~),
          libkf5purpose5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto_tests at build time
	:

override_dh_makeshlibs:
	dh_makeshlibs -plibkf5purpose-bin -V
	dh_makeshlibs --remaining-packages

override_dh_shlibdeps:
	dh_shlibdeps -plibkf5purpose5 -- -xlibkf5purpose-bin
	dh_shlibdeps --remaining-packages

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol

## purpose 5.116.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Purpose)

find_package(ECM 5.116.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.15.2)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(FeatureSummary)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQmlTypes)
include(ECMQMLModules)
include(ECMQmlModule)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui DBus Widgets Network Test)

set(KF_VERSION "5.116.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts

find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami2 Notifications KIO)

find_package(KAccounts)

set_package_properties(KAccounts PROPERTIES
                       PURPOSE "Needed for YouTube and Nextcloud upload"
                       TYPE OPTIONAL
)

ecm_find_qmlmodule(Ubuntu.OnlineAccounts 0.1)
ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
ecm_find_qmlmodule(org.kde.prison 1.0)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX PURPOSE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
                        SOVERSION 5)

ecm_set_disabled_deprecation_versions(
    # QT 5.15.2 Wait until libaccounts-qt has a release that doesn't use QString::null https://gitlab.com/accounts-sso/libaccounts-qt/issues/4
    KF 5.95
    KCOREADDONS 5.85 # K_EXPORT_PLUGIN_VERSION
)

add_subdirectory( src )
if (BUILD_TESTING)
    add_subdirectory( autotests )
    add_subdirectory( tests )
endif()

ki18n_install(po)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Purpose")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PurposeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PurposeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PurposeTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/purpose COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

#TODO: Remove somewhen in the future
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/KDEExperimentalPurposeConfig.cmake"
  DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDEExperimentalPurpose"
  COMPONENT Devel
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== tests/CMakeLists.txt ===
add_subdirectory(tool)

add_executable(menudemo menudemo.cpp)
target_link_libraries(menudemo KF5::PurposeWidgets)

=== src/plugins/bluetooth/CMakeLists.txt ===
add_share_plugin(bluetoothplugin bluetoothplugin.cpp)

=== src/plugins/email/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose_email\")
add_share_plugin(emailplugin emailplugin.cpp)
target_link_libraries(emailplugin KF5::I18n KF5::Service KF5::KIOGui)

=== src/plugins/kdeconnect/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose_kdeconnect\")
add_share_plugin(kdeconnectplugin kdeconnectplugin.cpp)

=== src/plugins/saveas/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose_saveas\")
add_share_plugin(saveasplugin saveasplugin.cpp)
target_link_libraries(saveasplugin KF5::KIOCore KF5::I18n)

=== src/plugins/telegram/CMakeLists.txt ===
add_share_plugin(telegramplugin telegramplugin.cpp)
target_link_libraries(telegramplugin KF5::ConfigCore KF5::I18n KF5::KIOGui)

=== src/plugins/reviewboard/icons/CMakeLists.txt ===
ecm_install_icons(ICONS 16-apps-reviewboard-purpose.png 128-apps-reviewboard-purpose.png
                  DESTINATION ${KDE_INSTALL_ICONDIR}
                  THEME hicolor)

=== debian/changelog ===
purpose (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Suggest instead of recommends kdeconnect, so it does not get pulled
      into lubuntu installs and images.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 12:55:02 +0100

purpose (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:43:35 +0200

purpose (5.116.0-0ubuntu3) plucky; urgency=medium

  * Sync changes from Debian up to 5.115.0-6.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 09:04:31 +0000

purpose (5.116.0-0ubuntu2) plucky; urgency=medium

  * Build without Qt5 kaccounts.

 -- Rik Mills <rikmills@kde.org>  Wed, 27 Nov 2024 14:43:37 +0000

purpose (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:47:23 +0100

purpose (5.115.0-6) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Disable KAccounts / Accounts SSO functionality since the Qt5/KF5
    version of it is going away for Trixie.
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 00:18:37 +0100

purpose (5.115.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:26:08 +0200

purpose (5.115.0-4) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Reship icon files, they don’t conflict with KF6.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 30 Jul 2024 11:44:44 +0200

purpose (5.115.0-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Drop service and icon files from libkf5purpose-bin and depend on
    libkf6purpose-bin which now ships them.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 10 Jul 2024 23:37:31 +0200

purpose (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:16:42 +0200

purpose (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:10 +0100

purpose (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:46 +0200

purpose (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,24 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.115.0~),
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 5.116.0~),
                gettext,
                intltool,
-               kirigami2-dev (>= 5.115.0~),
-               libaccounts-glib-dev,
-               libaccounts-qt5-dev,
-               libkaccounts-dev (>= 4:20.08.0~),
-               libkf5config-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5kio-dev (>= 5.115.0~),
-               libkf5notifications-dev (>= 5.115.0~),
-               pkg-config,
+               kirigami2-dev (>= 5.116.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5kio-dev (>= 5.116.0~),
+               libkf5notifications-dev (>= 5.116.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkgconf,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/purpose
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
@@ -31,14 +29,14 @@
 Package: libkf5purpose-bin
 Architecture: any
 Multi-Arch: same
-Depends: qml-module-org-kde-bluezqt (>= 5.70.0~) [linux-any],
+Depends: libkf6purpose-bin,
+         qml-module-org-kde-bluezqt (>= 5.70.0~) [linux-any],
          qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
          qml-module-org-kde-prison,
          qml-module-qtquick-dialogs,
-         qml-module-ubuntu-onlineaccounts,
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: kdeconnect
+Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
@@ -52,7 +50,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5coreaddons-dev (>= 5.115.0~),
+Depends: libkf5coreaddons-dev (>= 5.116.0~),
          libkf5purpose5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
@@ -72,10 +70,8 @@
          qml-module-qtquick-controls2,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
-Suggests: kde-telepathy-send-file
-Breaks: libkf5purpose-bin (<< 5.70.0-1~)
-Replaces: libkf5purpose-bin (<< 5.70.0-1~)
+Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version}),
+Suggests: kde-telepathy-send-file,
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
  .

## purpose 5.116.0+p24.04+vstable+git20250901.0542

=== debian/changelog ===
purpose (5.116.0+p24.04+vstable+git20250901.0542-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 05:43:00 +0000

purpose (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:45:41 +1000

purpose (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:46:23 +0000

purpose (5.115.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:11:08 +0000

purpose (5.114.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:11:08 +0000

purpose (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:54:12 +0000

purpose (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Nov 2023 11:15:34 +0000

purpose (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:34:54 +0000

purpose (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 03:39:20 +0000

purpose (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:19:40 +0000

purpose (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:51:09 +0000

purpose (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:10:31 +0000

purpose (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:03:54 +0000

purpose (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:37:22 +0000

purpose (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:44:16 +0000

purpose (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:05:19 +0000

purpose (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:06:32 +0000

purpose (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:19:15 +0000

purpose (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:31:35 +0000

purpose (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:40:01 +0000

purpose (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:13:43 +0000

purpose (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:42:48 +0000

purpose (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:07:10 +0000

purpose (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:52:49 +0000

purpose (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jan 2022 17:23:02 +0000

purpose (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:27:53 +0000

purpose (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:56:02 +0000

purpose (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 12:09:09 +0000

purpose (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:11:50 +0000

purpose (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:55 +0000

purpose (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:29:08 +0000

purpose (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:18:51 +0000

purpose (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:11:45 +0000

purpose (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:19:40 +0000

purpose (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:56 +0000

purpose (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:27:45 +0000

purpose (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:08:52 +0000

purpose (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:33:30 +0000

purpose (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:43:32 +0000

purpose (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:32:50 +0000

purpose (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:28:07 +0000

purpose (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:22:43 +0000

purpose (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:58:06 +0000

purpose (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:43:55 +0000

purpose (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:21:50 +0000

purpose (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:23:58 +0000

purpose (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:06:56 +0000



## purpose 5.116.0+p24.04+vstable+git20250909.0656

=== debian/changelog ===
purpose (5.116.0+p24.04+vstable+git20250909.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:56:19 +0000
